Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 282341 - Problem with network after resuming from a hibernation (Fujitsu-Siemens Lifebook)
Summary: Problem with network after resuming from a hibernation (Fujitsu-Siemens Lifeb...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 427887
TreeView+ depends on / blocked
 
Reported: 2007-09-07 13:20 UTC by Marcin Zajaczkowski
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-08 22:41:28 UTC


Attachments (Terms of Use)

Description Marcin Zajaczkowski 2007-09-07 13:20:16 UTC
Description of problem:
I have a problem with a wire network connection after resuming from a
hibernation. ICMP works fine, but all new TCP connections have 10 seconds delay
(connection hangs in SYN_WAIT state). If a timeout has a longer value and
connection is able to establish, then (as ENSTABLISHED) works fine (like SSH
session).
I tried network restart and a few other things, but without any result (a
machine restart is needed).
No info in system log. Tested with a few recent kernel from Fedora Core 6. It
happens after every hibernation.

Version-Release number of selected component (if applicable):
kernel-2.6.20-1.2962.fc6 (confirmed also with a few version backward)

How reproducible:
Always

Steps to Reproduce:
1. Hibernate laptop
2. Resume from a hibernation
3. Try to use a wire network
  
Actual results:
10 seconds delay on a new TCP connections

Expected results:
Connection established intermediately 

Additional info:
Tested on Fujitsu Siemens Lifebook S-series laptop with a network card:
Marvell Technology Group Ltd. 88E8055 PCI-E Gigabit Ethernet Controller (rev 12)
using sky2 module.

Comment 1 Marcin Zajaczkowski 2007-09-07 14:37:01 UTC
The same problem occurs after resume from suspend (I didn't know about that due
to another bug with suspend mode and a blank screen which partially seems to be
fixed in a current version).

Comment 2 Jon Stanley 2008-01-08 01:53:04 UTC
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Comment 3 Marcin Zajaczkowski 2008-01-08 22:37:44 UTC
Unfortunately I don't have that laptop now (and probably won't have in the
nearest future), so I can't confirm that bug with recent version.

Maybe someone else could check it. If not feel free to close this bug. After all
it could be always reopened if the new facts occurred.



Note You need to log in before you can comment on or make changes to this bug.